from django.views import View
from django.http import JsonResponse
from django.contrib.auth.mixins import LoginRequiredMixin
from django.urls import reverse_lazy


class VesselsDataTableURLView(LoginRequiredMixin, View):
    def get(self, request, *args, **kwargs):
        return JsonResponse(reverse_lazy("core:admin_vessels_datatable"), safe=False)